package jTrolog.terms;

/**
 * Term class - root prolog data type
 *
 * @see jTrolog.terms.Struct
 * @see Var
 * @see jTrolog.terms.Number
 * @author ivar.orstavik@hist.no
 */
public interface Term extends java.io.Serializable {

    // true and false constants
    public static final Term TRUE = new StructAtom("true");
    public static final Term FALSE = new StructAtom("false");

    public String toStringSmall();
}