package jTrolog.engine;

import junit.framework.Test;
import junit.framework.TestSuite;

public class TestJTrolog {

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for jTrolog.engine");
        suite.addTestSuite(PrologTestCase.class);
        suite.addTestSuite(OperatorTestCase.class);
        suite.addTestSuite(IntTestCase.class);
        suite.addTestSuite(DoubleTestCase.class);
        suite.addTestSuite(StateRuleSelectionTestCase.class);
        suite.addTestSuite(StructIteratorTestCase.class);
        suite.addTestSuite(StructTestCase.class);
        suite.addTestSuite(EngineTestCase.class);
        suite.addTestSuite(TermIteratorTestCase.class);
        suite.addTestSuite(TheoryManagerTestCase.class);
        suite.addTestSuite(LibraryTestCase.class);
        suite.addTestSuite(ParserTestCase.class);
        suite.addTestSuite(DCGTestCase.class);
        suite.addTestSuite(PrologProgramsTestCase.class);
        suite.addTestSuite(TutorialTestCase.class);
        return suite;
    }
}
