package jTrolog.engine;

import fit.ColumnFixture;

public class SimpleGoalFixture extends ColumnFixture {

	public String goal;
	public String exception;

	public boolean success() {
		try {
			Prolog engine = new Prolog();
			Solution info = engine.solve(goal);
			return info.success();
		} catch (Throwable e) {
			exception = e.getMessage();
			return false;
		}
	}

	public String exception() {
		String temp = exception;
		exception = null;
		if (temp == null)
			return "no exception";
		return temp;
	}
}
