package jTrolog.engine;

import junit.framework.TestCase;
import jTrolog.errors.InvalidTermException;
import jTrolog.parser.Parser;

public class ParsingSpeedTest extends TestCase {

    public void testParse() throws InvalidTermException {
        int repetitions = 1000;
        long start = System.currentTimeMillis();
//		Prolog eng = new Prolog();
        for (int i = 0; i < repetitions; i++)
            new Parser("A ; B :- A =.. ['->', C, T], !, (C, !, T ; B)", null).nextTerm(false);
        long time = System.currentTimeMillis() - start;
        System.out.println("Time parsing " + repetitions + " terms: " + time + " milliseconds.");
    }

}
